Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getSwitchLinkAggregations({
networkId: "string",
});
export const merakiNetworksSwitchLinkAggregationsExample = example.then(example => example.items);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_switch_link_aggregations(network_id="string")
pulumi.export("merakiNetworksSwitchLinkAggregationsExample", example.items)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupSwitchLinkAggregations(ctx, &networks.LookupSwitchLinkAggregationsArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksSwitchLinkAggregationsExample", example.Items)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetSwitchLinkAggregations.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksSwitchLinkAggregationsExample"] = example.Apply(getSwitchLinkAggregationsResult => getSwitchLinkAggregationsResult.Items),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetSwitchLinkAggregationsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getSwitchLinkAggregations(GetSwitchLinkAggregationsArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksSwitchLinkAggregationsExample", example.items());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getSwitchLinkAggregations
arguments:
networkId: string
outputs:
merakiNetworksSwitchLinkAggregationsExample: ${example.items}
Using getSwitchLinkAggregations
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSwitchLinkAggregations(args: GetSwitchLinkAggregationsArgs, opts?: InvokeOptions): Promise<GetSwitchLinkAggregationsResult>
function getSwitchLinkAggregationsOutput(args: GetSwitchLinkAggregationsOutputArgs, opts?: InvokeOptions): Output<GetSwitchLinkAggregationsResult>def get_switch_link_aggregations(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSwitchLinkAggregationsResult
def get_switch_link_aggregations_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSwitchLinkAggregationsResult]func LookupSwitchLinkAggregations(ctx *Context, args *LookupSwitchLinkAggregationsArgs, opts ...InvokeOption) (*LookupSwitchLinkAggregationsResult, error)
func LookupSwitchLinkAggregationsOutput(ctx *Context, args *LookupSwitchLinkAggregationsOutputArgs, opts ...InvokeOption) LookupSwitchLinkAggregationsResultOutput> Note: This function is named LookupSwitchLinkAggregations in the Go SDK.
public static class GetSwitchLinkAggregations
{
public static Task<GetSwitchLinkAggregationsResult> InvokeAsync(GetSwitchLinkAggregationsArgs args, InvokeOptions? opts = null)
public static Output<GetSwitchLinkAggregationsResult> Invoke(GetSwitchLinkAggregationsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSwitchLinkAggregationsResult> getSwitchLinkAggregations(GetSwitchLinkAggregationsArgs args, InvokeOptions options)
public static Output<GetSwitchLinkAggregationsResult> getSwitchLinkAggregations(GetSwitchLinkAggregationsArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getSwitchLinkAggregations:getSwitchLinkAggregations
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getSwitchLinkAggregations Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
List<Get
Switch Link Aggregations Item> - Array of ResponseSwitchGetNetworkSwitchLinkAggregations
- Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
[]Get
Switch Link Aggregations Item - Array of ResponseSwitchGetNetworkSwitchLinkAggregations
- Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- items
List<Get
Switch Link Aggregations Item> - Array of ResponseSwitchGetNetworkSwitchLinkAggregations
- network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- items
Get
Switch Link Aggregations Item[] - Array of ResponseSwitchGetNetworkSwitchLinkAggregations
- network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- items
Sequence[Get
Switch Link Aggregations Item] - Array of ResponseSwitchGetNetworkSwitchLinkAggregations
- network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- items List<Property Map>
- Array of ResponseSwitchGetNetworkSwitchLinkAggregations
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetSwitchLinkAggregationsItem
- id String
- switch
Ports List<Property Map>
GetSwitchLinkAggregationsItemSwitchPort
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
